﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;
using IOleServiceProvider = Microsoft.VisualStudio.OLE.Interop.IServiceProvider;

using Microsoft.VisualStudio.Project;

namespace YPS.PhpProject
{
    [Guid(GuidList.guidPhpProjectFactoryString)]
    public class PhpProjectFactory : ProjectFactory
    {
        private PhpProjectPackage package;

        public PhpProjectFactory(PhpProjectPackage package)
            : base(package)
        {
            this.package = package;
        }

        protected override ProjectNode CreateProject()
        {
            PhpProjectNode project = new PhpProjectNode(this.package);
            project.SetSite((IOleServiceProvider)((IServiceProvider)this.package).GetService(typeof(IOleServiceProvider)));
            return project;
        }
    }
}
